Kernel Upgrade For Debian >= Etch

Upgrading the kernel to 2.6.31(couldn get 2.6.33 to work at all)  on Etch, I stumbled over this:

cc -m32 -Wall -Wmissing-declarations -Wmissing-prototypes -O3 -I../../include -I../../arch/x86/include -U_FORTIFY_SOURCE lguest.c -o lguest
lguest.c:21:25: error: sys/eventfd.h: No such file or directory
lguest.c: In function ‘create_thread’:
lguest.c:1021: warning: implicit declaration of function ‘eventfd’
make: *** [lguest] Error 1

This is apparenty due to the old libc-dev package that Lenny comes with. Since libc isn’t exactly a good candidate for a selective upgrade I helped myself with simply editing Documentation/lguest/Makefile and changing:

all: lguest

to

all:

OR

So lguest wont be build anymore. After that make-kpkg binary-arch worked as usual.

The tip below didn’t work for me but is another option:

“Below “Virtualization” unselect “Linux hypervisor example code” or if
you need lguest you can also fix the compilation error by removing
“#include <sys /eventfd.h>” (line 21) from lguest.c.”

via 2.6.31 for Debian 5/Lenny | Nagilum’s Cookie Jar.

Bad Behavior has blocked 107 access attempts in the last 7 days.